| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# IG::Num::Func3d2dExamples::MobiusStrip Class Reference

Defines the Möbius strip (a parametric surface), a surface with only one side and only one boundary component. More...

Inheritance diagram for IG::Num::Func3d2dExamples::MobiusStrip:
[legend]
Collaboration diagram for IG::Num::Func3d2dExamples::MobiusStrip:
[legend]

List of all members.

## Public Member Functions
| MobiusStrip ()
## Protected Member Functions
override double | f1 (double t, double r)
override double | f2 (double t, double r)
override double | f3 (double t, double r)

## Detailed Description

Defines the Möbius strip (a parametric surface), a surface with only one side and only one boundary component.

See also: http://www.vtk.org/VTK/img/ParametricSurfaces.pdf, http://en.wikipedia.org/wiki/M%C3%B6bius_strip. Precise parameterization is taken from the Mathematica notebook ParametricSurfaces.nb.

$A Igor Nov09;

## Constructor & Destructor Documentation

IG::Num::Func3d2dExamples::MobiusStrip::MobiusStrip | ( |  | ) | `[inline]`

## Member Function Documentation

override double IG::Num::Func3d2dExamples::MobiusStrip::f1 | ( | double | t,
|  | double | r
| ) |  | `[inline, protected, virtual]`

Reimplemented from IG::Num::Func3d2dExamples::EllipsoidParametric.

override double IG::Num::Func3d2dExamples::MobiusStrip::f2 | ( | double | t,
|  | double | r
| ) |  | `[inline, protected, virtual]`

Reimplemented from IG::Num::Func3d2dExamples::EllipsoidParametric.

override double IG::Num::Func3d2dExamples::MobiusStrip::f3 | ( | double | t,
|  | double | r
| ) |  | `[inline, protected, virtual]`

Reimplemented from IG::Num::Func3d2dExamples::EllipsoidParametric.

The documentation for this class was generated from the following file:

- Function3d2d.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events